name: Magic
main: com.elmakers.mine.bukkit.magic.MagicPlugin
version: 5.2
website: http://mine.elmakers.com
author: NathanWolf
description : A gameplay-oriented plugin for spells and wands
softdepend: [WorldGuard,Essentials,dynmap,dtlTraders,Factions,CommandBook,PvPManager,Multiverse-Core,WGCustomFlags,Citizens,Vault,GriefPrevention,Heroes,NoCheatPlus,BlockPhysics,LibsDisguises]
loadbefore: [Scavenger, SilkSpawners]
commands:
  cast:
    aliases: [mcast]
    description: Cast a spell directly
    usage: cast <spellname> [parameters]
    permission: Magic.commands.cast
  castp:
    aliases: [mcastp]
    description: Cast a spell directly on another player
    usage: castp <player> <spellname> [parameters]
    permission: Magic.commands.cast
  spells:
    aliases: [mspells]
    description: List all the spells you know
    usage: spells [category]
    permission: Magic.commands.spells
  wand:
    description: Create and modify wands
    usage: |
        Use /help wand [subcommand] for more information
        /wand add        Add spells and brushes to a wand
        /wand remove     Remove spells or brushes from a wand
        /wand restore    Restore a player's lost wands
        /wand configure  Set wand properties
        /wand describe   Show information about a wand
        /wand organize   Re-organize a wand's spell inventory
        /wand enchant    Turn an item into a wand
        /wand unenchant  Turn a wand into a normal item
        /wand duplicate  Create a copy of a wand
        /wand unlock     Allow a locked wand to be modified
        /wand override   Set or check cast overrides on a wand
        /wand upgrade    Upgrade properties of a wand
    permission: Magic.commands.wand
  "wand add":
    description: Add a spell or brush to a wand
    usage: |

       /wand add <spellname>
       /wand add material <materialname>
    permission: Magic.commands.wand.add
  "wand remove":
    description: Remove a spell or brush from a wand
    usage: |

       /wand remove <spellname>
       /wand remove material <materialname>
    permission: Magic.commands.wand.remove
  "wand configure":
    description: Configure wand properties
    usage: |

       /wand configure <property> <value>
       /wand configure xp_max 500
       /wand configure xp_regeneration 50
       /wand configure description My Awesome Wand
    permission: Magic.commands.wand.configure
  "wand describe":
    description: List wand properties, useful for checking what can be used with /wand configure
    permission: Magic.commands.wand.describe
    usage: /wand describe
  "wand organize":
    description: Re-organize a wand's spell inventory, grouping by frequency of use and spell category
    permission: Magic.commands.wand.organize
    usage: /wand organize
  "wand enchant":
    description: Turn the item you are holding into a wand
    permission: Magic.commands.wand.enchant
    usage: /wand enchant
  "wand restore":
    description: Restore your lost wands
    permission: Magic.commands.wand.restore
    usage: /wand restore
  "wand unenchant":
    description: Turn the wand you are holding into a normal item, wiping its magic data
    permission: Magic.commands.wand.unenchant
    usage: /wand unenchant
  "wand duplicate":
    description: Duplicate a wand, making an exact copy
    permission: Magic.commands.wand.duplicate
    usage: /wand duplicate
  "wand unlock":
    description: Clear the "locked" setting on a wand so it can be used with /wand configure
    permission: Magic.commands.wand.unlock
    usage: /wand unlock
  "wand override":
    description: Check or set cast overrides, which modify how a wand casts a specific spell, or all spells
    usage: |

       To display current overrides
       /wand override
       To change parameters for a specific spell cast when using this wand
       /wand override missile.entity_damage 20
       /wand override boon.duration 30000
       To change parameters for ALL spells cast with this wand
       /wand override undo 0
    permission: Magic.commands.wand.override
  "wand upgrade":
    description: Upgrade wand properties, won't decrease values
    usage: |

       /wand upgrade <property> <value>
       /wand upgrade xp_max 500
       /wand upgrade xp_regeneration 50
    permission: Magic.commands.wand.upgrade
  wandp:
    description: Create and modify wands for another player
    usage: /wandp <player> [add|remove|upgrade|configure|describe|organize|enchant|unenchant|duplicate|unlock|override] [<spellname>|material] <materialname>
    permission: Magic.commands.wandp
  magic:
    description: Administer the Magic plugin
    permission: Magic.commands.magic
    usage: |
        Use /help magic [subcommand] for more information
        /magic load        Reload configuration files
        /magic save        Save all player data
        /magic cancel      Cancel any jobs or spells
        /magic commit      Commit all spells, clear all undo queues
        /magic list        List various bits of information
        /magic give        Give players wands or items
        /magic clear       Remove dropped wands from the world
  "magic load":
    description: Reload configuration files. Useful for testing spell or wand changes.
    permission: Magic.commands.magic.load
    usage: /magic load
  "magic save":
    description: Immediately save all player data.
    permission: Magic.commands.magic.save
    usage: /magic save
  "magic cancel":
    description: Cancel all pending jobs and spells
    permission: Magic.commands.magic.cancel
    usage: /magic cancel
  "magic commit":
    description: Commit all spells, clear undo queues
    permission: Magic.commands.magic.commit
    usage: /magic commit
  "magic list":
    description: List various bits of information
    permission: Magic.commands.magic.list
    usage: |

        /magic list wands
        /magic list maps
        /magic list automata
        /magic list tasks
        /magic list schematics
  "magic give":
    description: Give players wands and other magic items
    permission: Magic.commands.magic.give
    usage: |

        /magic give elder
        /magic give blink
        /magic give material stone
        /magic give upgrade apprentice
  mgive:
    description: Give players items
    usage: /mgive <Player> [itemname] <amount>
    permission: Magic.commands.mgive
    usage: |
        /mgive <Player> [itemname] <amount>
        /mgive elder
        /mgive blink
        /mgive brush:sea_lantern
        /mgive sea_lantern 32
        /mgive NathanWolf wolf
  mmap:
    description: Create and manage Magic image maps
    permission: Magic.commands.mmap
    usage: |
        Use /help mmap [subcommand] for more information
        /mmap load       Load a new image map
        /mmap list       List all loaded image maps
        /mmap give       Give a player an image map
        /mmap import     Import image maps from Pixelator
  "mmap load":
    description: Load a new map from a file or URL
    permission: Magic.commands.mmap.load
    usage: |
        /mmap load [url] <name> <width> <height>
        /mmap load http://i.imgur.com/YsbKHg1.gif Magic
        /mmap load plugins/Pixelator/MyImage.png
        /mmap load http://i.imgur.com/EufZP2A.gif Cropped 128 128
  "mmap list":
    description: List and search through loaded maps
    permission: Magic.commands.mmap.list
    usage: |
        /mmap list <search>
        /mmap list
        /mmap list Magic
  "mmap give":
    description: Give a player an image amp
    permission: Magic.commands.mmap.give
    usage: |
        /mmap give <player> [id]
        /mmap give NathanWolf 1234
        /mmap give 1234
  "mmap import":
    description: Import images from Pixelator
    permission: Magic.commands.mmap.import
    usage: /mmap import
  mtrait:
    description: Manage Magic NPCs
    permission: Magic.commands.mtrait
    usage: |

      First add a magic or command trait to an NPC
      /trait magic
      /trait command
      Then configure the Magic trait
      /mtrait <id#> <property> <value>
      /mtrait
      /mtrait spell heal
      /mtrait parameters amount 100
      /mtrait spell upgrades
      /mtrait spell engineershop
      /mtrait command /spawn
      /mtrait caster true
      /mtrait invisible true
      /mtrait cost 200
      /mtrait permission Magic.npc.use.this.guy
  mskills:
    description: Get Heroes skills
    usage: /mskills
    permission: Magic.commands.mskills
  mserver:
    description: "Moves a player to another server"
    usage: "mserver <player> <server>"
    permission: Magic.commands.mserver
  msave:
    description: Save player data, and execute command as console
    usage: /msave <Player> [command to run]
    permission: Magic.commands.msave
permissions:
  Magic.commands.spells:
    description: Player may list spells
    type: boolean
    default: op
  Magic.commands.mgive:
    description: Player may give out magic items
    type: boolean
    default: op
  Magic.commands.mtrait:
    description: Player may manage Magic NPCs
    type: boolean
    default: op
  Magic.commands.cast:
    description: Player may cast command-line spells
    type: boolean
    default: op
  Magic.commands.castp:
    description: Player may cast command-line spells on behalf of another player
    type: boolean
    default: op
  Magic.commands.wand:
    description: Player may use the /wand commands
    type: boolean
    default: op
  Magic.commands.wand.create:
    description: Player may create a wand
    type: boolean
    default: op
  Magic.commands.wand.wand:
    description: Player may create a specific wand
    type: list
  Magic.commands.wand.override:
    description: Player may configure wand overrides
    type: boolean
    default: op
  Magic.commands.wand.list:
    description: Player may list available wand templates
    type: boolean
    default: op
  Magic.commands.wand.describe:
    description: Player may describe their wand
    type: boolean
    default: op
  Magic.commands.wand.enchant:
    description: Player may turn an item into a wand
    type: boolean
    default: op
  Magic.commands.wand.unenchant:
    description: Player may destroy a wand
    type: boolean
    default: op
  Magic.commands.wand.add:
    description: Player may add a spell to a wand
    type: boolean
    default: op
  Magic.commands.wand.add.spell:
    description: Player may add a specific spell to a wand for another player
    type: list
  Magic.commands.wand.add.material:
    description: Player may add a specific material to a wand
    type: boolean
    default: op
  Magic.commands.wand.organize:
    description: Player may organize their wand
    type: boolean
    default: op
  Magic.commands.wand.configure:
    description: Player may set wand properties
    type: boolean
    default: op
  Magic.commands.wand.combine:
    description: Player may add wand template to their wand
    type: boolean
    default: op
  Magic.commands.wand.upgrade:
    description: Player may upgrade wand properties
    type: boolean
    default: op
  Magic.commands.wand.fill:
    description: Player may fill a wand with all spells
    type: boolean
    default: op
  Magic.commands.wand.remove:
    description: Player may remove a spell from a wand
    type: boolean
    default: op
  Magic.commands.wand.name:
    description: Player may name a wand
    type: boolean
    default: op
  Magic.commands.wand.duplicate:
    description: Player may duplicate an existing wand
    type: boolean
    default: op
  Magic.commands.wand.restore:
    description: Player may restore their bound wand
    type: boolean
    default: op
  Magic.commands.wand.unlock:
    description: Player may unlock a locked wand
    type: boolean
    default: op
  Magic.commands.wandp:
    description: Player may use the wandp commands
    type: boolean
    default: op
  Magic.commands.wandp.create:
    description: Player may create a wand for another player
    type: boolean
    default: op
  Magic.commands.wandp.wand:
    description: Player may create a specific wand for another player
    type: list
  Magic.commands.wandp.override:
    description: Player may configure wand overrides for another player
    type: boolean
    default: op
  Magic.commands.wandp.add:
    description: Player may add a spell to a wand for another player
    type: boolean
    default: op
  Magic.commands.wandp.add.spell:
    description: Player may add a specific spell to a wand for another player
    type: list
  Magic.commands.wandp.add.material:
    description: Player may add a specific material to a wand for another player
    type: boolean
    default: op
  Magic.commands.wandp.configure:
    description: Player may set wand properties for another player
    type: boolean
    default: op
  Magic.commands.wandp.organize:
    description: Player may organize another player's wand
    type: boolean
    default: op
  Magic.commands.wandp.combine:
    description: Player may add wand template to another player's wand
    type: boolean
    default: op
  Magic.commands.wandp.describe:
    description: Player may describe their wand
    type: boolean
    default: op
  Magic.commands.wandp.upgrade:
    description: Player may upgrade wand properties for another player
    type: boolean
    default: op
  Magic.commands.wandp.fill:
    description: Player may fill a wand for another player
    type: boolean
    default: op
  Magic.commands.wandp.remove:
    description: Player may remove a spell from a wand for another player
    type: boolean
    default: op
  Magic.commands.wandp.name:
    description: Player may name a wand for another player
    type: boolean
    default: op
  Magic.commands.wandp.enchant:
    description: Player may turn an item into a wand for another player
    type: boolean
    default: op
  Magic.commands.wandp.unenchant:
    description: Player may destroy a wand for another player
    type: boolean
    default: op
  Magic.commands.wandp.duplicate:
    description: Player may duplicate an existing wand held by another player
    type: boolean
    default: op
  Magic.commands.wandp.restore:
    description: Player may restore another player's bound wand
    type: boolean
    default: op
  Magic.commands.wandp.unlock:
    description: Player may unlock an existing wand held by another player
    type: boolean
    default: op
  Magic.commands.magic:
    description: Player may reload the configuration
    type: boolean
    default: op
  Magic.commands.magic.load:
    description: Player may reload the configuration
    type: boolean
    default: op
  Magic.commands.magic.save:
    description: Player may save data
    type: boolean
    default: op
  Magic.commands.magic.clearcache:
    description: Player may clears the image and schematic caches
    type: boolean
    default: op
  Magic.commands.magic.cancel:
    description: Player may cancel any pending construction jobs
    type: boolean
    default: op
  Magic.commands.magic.commit:
    description: Player may clear all player undo queues
    type: boolean
    default: op
  Magic.commands.magic.list:
    description: Player may list general Magic info
    type: boolean
    default: op
  Magic.commands.magic.list.wands:
    description: Player may list lost wands
    type: boolean
    default: op
  Magic.commands.magic.list.maps:
    description: Player may list map images
    type: boolean
    default: op
  Magic.commands.magic.list.automata:
    description: Player may list stored automata
    type: boolean
    default: op
  Magic.commands.magic.list.tasks:
    description: Player may list running tasks
    type: boolean
    default: op
  Magic.commands.magic.clean:
    description: Player may remove lost wands from the world
    type: boolean
    default: op
  Magic.commands.magic.give:
    description: Player may give themselves special wand items
    type: boolean
    default: op
  Magic.commands.magic.sell:
    description: Player may give themselves items and their value
    type: boolean
    default: op
  Magic.commands.magic.worth:
    description: Player may check the value of an item
    type: boolean
    default: op
  Magic.commands.magic.describe:
    description: Player may check Mage attributes
    type: boolean
    default: op
  Magic.commands.magic.configure:
    description: Player may modify Mage attributes
    type: boolean
    default: op
  Magic.commands.magic.check:
    description: Player may check permissions
    type: boolean
    default: op
  Magic.commands.magic.debug:
    description: Player may toggle debug
    type: boolean
    default: op
  Magic.commands.mskills:
    description: Player may use the /mskills menu
    type: boolean
    default: true
  Magic.commands.mmap:
    description: Player may use the /mmap command
    type: boolean
    default: op
  Magic.commands.mmap.list:
    description: Player may use the /mmap list command
    type: boolean
    default: op
  Magic.commands.mmap.give:
    description: Player may use the /mmap give command
    type: boolean
    default: op
  Magic.commands.mmap.load:
    description: Player may use the /mmap load command
    type: boolean
    default: op
  Magic.commands.mmap.import:
    description: Player may use the /mmap import command
    type: boolean
    default: op
  Magic.commands.mmap.remove:
    description: Player may use the /mmap remove command
    type: boolean
    default: op
  Magic.commands.mmap.player:
    description: Player may use the /mmap player command
    type: boolean
    default: op
  Magic.commands.mmap.fix:
    description: Player may use the /mmap fix command
    type: boolean
    default: op
  Magic.commands.mserver:
    description: Player may sender players to other servers
    type: boolean
    default: op
  Magic.commands.msave:
    description: Player may save mage data and run commands
    type: boolean
    default: op
  Magic.wand.use:
    description: The player may use a wand
    default: true
    type: boolean
  Magic.wand.enchant:
    description: The player may enchant a wand
    default: true
    type: boolean
  Magic.wand.craft:
    description: The player may craft a wand
    default: true
    type: boolean
  Magic.wand.destruct:
    description: A wand will self-destruct if the players tries to use it without permission.
    default: false
    type: boolean
  Magic.wand.override_bind:
    description: A player may use a wand even if it is bound to another player.
    default: op
    type: boolean
  Magic.wand.override_locked:
    description: A player may modify locked wands with wand commands.
    default: op
    type: boolean
  Magic.bypass_pvp:
    description: A player always bypasses PVP checks
    default: op
    type: boolean
  Magic.bypass_build:
    description: A player always bypasses build checks
    default: op
    type: boolean
  Magic.bypass_break:
    description: A player always bypasses block break checks
    default: op
    type: boolean
  Magic.bypass:
    description: A player always bypasses other permission checks
    default: op
    type: boolean
  Magic.bypass_restricted:
    description: A player may bypass restricted material checks
    default: op
    type: boolean
  Magic.craft:
    description: The wands a player may craft
    type: list
  Magic.cast:
    description: The spells a player may cast
    type: list
  Magic.protected:
    description: The spells a player is immune to
    type: list